{"openapi":"3.0.4","info":{"title":"Fetch the result of a query as pipe-delimited","description":"Fetch the data in the format of the method's name (if available, or if not simply being informed it is not yet ready).\n\nThe following error codes are to be anticipated most with standard Problem Detail reports:\n- 400 BadRequest : Something failed with the execution of your query\n- 401 Unauthorized\n- 403 Forbidden\n- 404 Not Found : The requested query result doesn't (yet) exist or the calling user did not run the query.\n- 429 Too Many Requests : Please try your request again soon\n  1. The query has been executed successfully in the past yet the server-instance receiving this request (e.g. from a load balancer) doesn't yet have this data available.\n  1. By virtue of the request you have just placed this will have started to load from the persisted cache and will soon be available.\n  1. It is also the case that the original server-instance to process the original query is likely to already be able to service this request.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/honeycomb"}],"paths":{"/api/SqlBackground/{executionId}/pipe":{"get":{"tags":["Sql Background Execution"],"summary":"Fetch the result of a query as pipe-delimited","description":"Fetch the data in the format of the method's name (if available, or if not simply being informed it is not yet ready).\n\nThe following error codes are to be anticipated most with standard Problem Detail reports:\n- 400 BadRequest : Something failed with the execution of your query\n- 401 Unauthorized\n- 403 Forbidden\n- 404 Not Found : The requested query result doesn't (yet) exist or the calling user did not run the query.\n- 429 Too Many Requests : Please try your request again soon\n  1. The query has been executed successfully in the past yet the server-instance receiving this request (e.g. from a load balancer) doesn't yet have this data available.\n  1. By virtue of the request you have just placed this will have started to load from the persisted cache and will soon be available.\n  1. It is also the case that the original server-instance to process the original query is likely to already be able to service this request.","operationId":"FetchQueryResultPipe","parameters":[{"name":"executionId","in":"path","description":"ExecutionId returned when starting the query","required":true,"schema":{"type":"string"}},{"name":"download","in":"query","description":"Makes this a file-download request (as opposed to returning the data in the response-body)","schema":{"type":"boolean","default":false},"x-nullable":true},{"name":"sortBy","in":"query","description":"Order the results by these fields.\n            Use the `-` sign to denote descending order, e.g. `-MyFieldName`.  Numeric indexes may be used also, e.g. `2,-3`.\n            Multiple fields can be denoted by a comma e.g. `-MyFieldName,AnotherFieldName,-AFurtherFieldName`.\n            Default is null, the sort order specified in the query itself.","schema":{"maxLength":16384,"minLength":1,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"filter","in":"query","description":"An ODATA filter per Finbourne.Filtering syntax.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"select","in":"query","description":"Default is null (meaning return all columns in the original query itself).\nThe values are in terms of the result column name from the original data set and are comma delimited.\nThe power of this comes in that you may aggregate the data if you wish\n(that is the main reason for allowing this, in fact).\ne.g.:\n- `MyField`\n- `Max(x) FILTER (WHERE y > 12) as ABC` (max of a field, if another field lets it qualify, with a nice column name)\n- `count(*)` (count the rows for the given group, that would produce a rather ugly column name, but  it works)\n- `count(distinct x) as numOfXs`\nIf there was an illegal character in a field you are selecting from, you are responsible for bracketing it with [ ]. \ne.g.\n- `some_field, count(*) as a, max(x) as b, min([column with space in name]) as nice_name`\n  where you would likely want to pass `1` as the `groupBy` also.","schema":{"type":"string"}},{"name":"groupBy","in":"query","description":"Groups by the specified fields.\n            A comma delimited list of: 1 based numeric indexes (cleaner), or repeats of the select expressions (a bit verbose and must match exactly).\n            e.g. `2,3`, `myColumn`.\n            Default is null (meaning no grouping will be performed on the selected columns).\n            This applies only over the result set being requested here, meaning indexes into the \"select\" parameter fields.\n            Only specify this if you are selecting aggregations in the \"select\" parameter.","schema":{"type":"string"}},{"name":"limit","in":"query","description":"When paginating, only return this number of records, page should also be specified.","schema":{"type":"integer","format":"int32","default":0},"x-nullable":true},{"name":"page","in":"query","description":"0-N based on chunk sized determined by the limit, ignored if limit < 1.","schema":{"type":"integer","format":"int32","default":0},"x-nullable":true},{"name":"dateTimeFormat","in":"query","description":"Format to apply for DateTime data, leaving blank gives the Luminesce Exporter default, currently `yyyy-MM-dd HH:mm:ss.fff`","schema":{"type":"string"}},{"name":"loadWaitMilliseconds","in":"query","description":"Optional maximum additional wait period for post execution platform processing.","schema":{"type":"integer","format":"int32","default":0},"x-nullable":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}